<?php 
include("head2.php");
//include("conn.php");
$Group_ID = $_POST['Group_ID'];
$QuizTitle = $_POST['QuizTitle'];
$Level_ID = $_POST['Level_ID'];
$QuizYear = $_POST['QuizYear'];
$TestType_ID=$_POST['TestType_ID'];
$TestAuther=$_POST['TestAuther'];
//echo "$Group_ID--$QuizTitle--$Level_ID--$QuizYear--$TestType_ID";
?>
<center>
<?php
if($emp_name<>""&&$error<>1){
      echo  "<CENTER>MENU SHOW</CENTER>";
?>

<br>
<?php
$fileupload = $_REQUEST['fileupload']; //รับค่าไฟล์จากฟอร์ม	

//ฟังก์ชั่นวันที่
        date_default_timezone_set('Asia/Bangkok');
	$date = date("Ymd");	
//ฟังก์ชั่นสุ่มตัวเลข
         $numrand = (mt_rand());
//เพิ่มไฟล์
$upload=$_FILES['fileupload'];
if($upload <> '') {   //not select file
//โฟลเดอร์ที่จะ upload file เข้าไป 
$rootDIR= $_SERVER['DOCUMENT_ROOT'];
$path="testbank/";  

//เอาชื่อไฟล์เก่าออกให้เหลือแต่นามสกุล
 $type = strrchr($_FILES['fileupload']['name'],".");
	
//ตั้งชื่อไฟล์ใหม่โดยเอาเวลาไว้หน้าชื่อไฟล์เดิม
$newname = $date.$numrand.$type;
$path_copy=$path.$newname;
$pathcopy=$newname;
$path_link="fileupload/".$newname;

if(move_uploaded_file($_FILES["fileupload"]["tmp_name"],"$rootDIR/testbank/".$pathcopy))
{
	echo "Copy/Upload Complete";
}


	}
	// เพิ่มไฟล์เข้าไปในตาราง uploadfile
		$sql="INSERT INTO Bank_Test  (TestTitle,Test_file_download,Group_ID,file_Type,Level_ID,Test_Year,Test_Type_ID,Download_count,Test_Auther)  VALUES ('$QuizTitle','$newname','$Group_ID','$type','$Level_ID','$QuizYear','$TestType_ID','0','$TestAuther')";
	odbc_exec($conn,$sql);
	odbc_close($conn);
			
	echo "UPLOAD  Complete<BR>";
	echo "<a href=\"frm_testupload.php\">Back to upload</a>";
?>
<BR>
<?php
}
else{
      echo  "<CENTER>คุณไม่ผ่านการ Login /คุณคือไม่ได้รับสิทธิ์ในการใช้งาน?...</CENTER>";
      echo  "<CENTER><a href=\"index.php\">กลับสู่หน้า Login  อีกครั้ง</a></CENTER>";
}
?>

</center>
<?php 
include("last.php");
?>
